/**
 * Created by slowsay on 16/7/15.
 */
'use sturct';
import React,{Component} from 'react';
import {View,Text,StyleSheet,Image,Animated,TouchableOpacity,ActivityIndicator} from 'react-native';

export default class extends Component {
    constructor() {
        super();
        this.state = {
            isview: false,
            animating: true
        }
    }

    render() {
        const {url,style}=this.props;
        const fadeAnim = new Animated.Value(0);
        Animated.timing(fadeAnim, {toValue: 1}).start();
        return (<View style={style}>
            {this.state.isview ? false :
                <ActivityIndicator animating={this.state.animating} style={style}/>}
            <Animated.Image source={{uri:url}} onLoad={()=>this.setState({isview:true,animating:false})}
                   resizeMode={Image.resizeMode.cover}
                   style={[style,{opacity:fadeAnim}]}/>
        </View>);
    }
}
